package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModelProperty;

public class MusicGroupPaymentCalenderMember extends MusicGroupPaymentCalenderBase{
    @ApiModelProperty(value = "会员名称", required = false)
    private String name;

    @ApiModelProperty(value = "会员周期", required = false)
    private PeriodEnum period;

    @ApiModelProperty(value = "会员等级编号", required = false)
    private Integer memberRankSettingId = 1;

    private Integer organId;

    @ApiModelProperty(value = "自动激活团练宝标识", required = false)
    private Boolean autoActivationFlag = false;

    public Boolean getAutoActivationFlag() {
        return autoActivationFlag;
    }

    public void setAutoActivationFlag(Boolean autoActivationFlag) {
        this.autoActivationFlag = autoActivationFlag;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public PeriodEnum getPeriod() {
        return period;
    }

    public void setPeriod(PeriodEnum period) {
        this.period = period;
    }

    public Integer getMemberRankSettingId() {
        return memberRankSettingId;
    }

    public void setMemberRankSettingId(Integer memberRankSettingId) {
        this.memberRankSettingId = memberRankSettingId;
    }
}
